<?php

/*
 * This file is part of the Symfony package.
 *
 * (c) Fabien Potencier <fabien@symfony.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Symfony\Component\Form\Tests\Extension\Core\DataTransformer\Traits;

/**
 * @internal
 */
trait DateTimeEqualsTrait
{
    public static function assertDateTimeEquals($expected, $actual)
    {
        if ($expected instanceof \DateTimeInterface && $actual instanceof \DateTimeInterface) {
            $expected = $expected->format('c');
            $actual = $actual->format('c');
        }

        parent::assertEquals($expected, $actual);
    }
}
